kind: Deployment
apiVersion: apps/v1
metadata:
  name: openshift-acme
  labels:
    app: openshift-acme
spec:
  selector:
    matchLabels:
      app: openshift-acme
  replicas: 2
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: openshift-acme
    spec:
      serviceAccountName: openshift-acme
      nodeSelector:
{{  toYaml .Values.nodeSelector | indent 8 }}
      tolerations:
{{ toYaml .Values.tolerations | indent 8 }}  
      containers:
      - name: openshift-acme
        image: {{ .Values.image.controller }}
        imagePullPolicy: Always
        args:
        - --exposer-image={{ .Values.image.exposer }}
        - --loglevel=$(OPENSHIFT_ACME_LOGLEVEL)
        resources:
{{  toYaml .Values.resources | indent 10 }}
        env:
        - name: OPENSHIFT_ACME_LOGLEVEL
          value: {{ .Values.acmeLogLevel | quote }}